| Home | Libraries | People | FAQ | More

## Function template read_info

boost::property_tree::info_parser::read_info

## Synopsis

    // In header: <boost/property_tree/info_parser.hpp>

    template<typename Ptree, typename Ch>
      void read_info(std::basic_istream< Ch > & stream, Ptree & pt,
                     const Ptree & default_ptree);

## Description

Read INFO from a the given stream and translate it to a property tree.

| Note
Replaces the existing contents. Strong exception guarantee.

Parameters:

`default_ptree` | If parsing fails, pt is set to a copy of this tree.